Skip to main content
GET
cURL

Authorizations

x-portkey-api-key
string
header
required
x-portkey-virtual-key
string
header
required

Path Parameters

thread_id
string
required

The ID of the thread the messages belong to.

Query Parameters

limit
integer
default:20

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.

order
enum<string>
default:desc

Sort order by the created_at timestamp of the objects. asc for ascending order and desc for descending order.

Available options:
asc,
desc
after
string

A cursor for use in pagination. after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo in order to fetch the next page of the list.

before
string

A cursor for use in pagination. before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include before=obj_foo in order to fetch the previous page of the list.

run_id
string

Filter messages by the run ID that generated them.

Response

200 - application/json

OK

object
string
required
Example:

"list"

data
The message object · object[]
required
first_id
string
required
Example:

"msg_abc123"

last_id
string
required
Example:

"msg_abc123"

has_more
boolean
required
Example:

false

Last modified on April 8, 2026